Skip to content
vocapable.Docs

Mark a prerequisite satisfied or open

POST
/v1/workspace/handoffs/{handoff_id}/prerequisites/{prerequisite_id}
curl --request POST \
--url https://api.vocapable.com/v1/workspace/handoffs/example/prerequisites/example \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '{ "expected_revision": 1, "satisfied": true }'
handoff_id
required
Handoff Id
string
prerequisite_id
required
Prerequisite Id
string
Media typeapplication/json
WorkspaceHandoffPrerequisiteUpdate
object
expected_revision
required
Expected Revision
integer
>= 1
satisfied
required
Satisfied
boolean
Examplegenerated
{
"expected_revision": 1,
"satisfied": true
}

Successful Response

Media typeapplication/json
WorkspaceHandoff
object
id
required
Id
string
opportunity_id
required
Opportunity Id
string
opportunity_title
required
Opportunity Title
string
organization_id
required
Organization Id
string
organization_name
required
Organization Name
string
scope
required
Any of:
string
quote_version_id
required
Any of:
string
prerequisites
required
Prerequisites
Array<object>
WorkspaceHandoffPrerequisite
object
id
required
Id
string
label
required
Label
string
kind
required
Kind
string
Allowed values: manual payment
satisfied
required
Satisfied
boolean
satisfied_at
required
Any of:
string format: date-time
target_start
required
Any of:
string format: date-time
sender
required
Any of:
WorkspacePersonRef

A teammate named on a record: the id the server holds and the name to show.

object
user_id
required
User Id
string
name
required
Name
string
recipient
required
Any of:
WorkspacePersonRef

A teammate named on a record: the id the server holds and the name to show.

object
user_id
required
User Id
string
name
required
Name
string
fallback
required
Any of:
WorkspacePersonRef

A teammate named on a record: the id the server holds and the name to show.

object
user_id
required
User Id
string
name
required
Name
string
responsible
required
Any of:
WorkspacePersonRef

A teammate named on a record: the id the server holds and the name to show.

object
user_id
required
User Id
string
name
required
Name
string
status
required
Status
string
Allowed values: preparing awaiting_acceptance accepted clarification_requested declined blocked scheduled in_progress completed reopened cancelled
respond_by
required
Any of:
string format: date-time
overdue
required
Overdue
boolean
escalated_at
required
Any of:
string format: date-time
accepted_at
required
Any of:
string format: date-time
accepted_by
required
Any of:
WorkspacePersonRef

A teammate named on a record: the id the server holds and the name to show.

object
user_id
required
User Id
string
name
required
Name
string
clarification
required
Any of:
string
clarification_answer
required
Any of:
string
decline_reason
required
Any of:
string
blocked_reason
required
Any of:
string
first_milestone
required
Any of:
string
milestones
required
Milestones
Array<object>
WorkspaceHandoffMilestone
object
id
required
Id
string
title
required
Title
string
due_at
required
Any of:
string format: date-time
completed_at
required
Any of:
string format: date-time
completed_by
required
Any of:
WorkspacePersonRef

A teammate named on a record: the id the server holds and the name to show.

object
user_id
required
User Id
string
name
required
Name
string
completion_evidence
required
Any of:
WorkspaceHandoffEvidence
object
summary
required
Summary
string
customer_confirmed
required
Customer Confirmed
boolean
reference
required
Any of:
string
recorded_by
required
Any of:
WorkspacePersonRef

A teammate named on a record: the id the server holds and the name to show.

object
user_id
required
User Id
string
name
required
Name
string
recorded_at
required
Recorded At
string format: date-time
completed_at
required
Any of:
string format: date-time
reopened_reason
required
Any of:
string
payment_required
required
Payment Required
boolean
revision
required
Revision
integer
created_at
required
Created At
string format: date-time
updated_at
required
Updated At
string format: date-time
Example
{
"prerequisites": [
{
"kind": "manual"
}
],
"status": "preparing"
}

Validation Error

Media typeapplication/json
HTTPValidationError
object
detail
Detail
Array<object>
ValidationError
object
loc
required
Location
Array
msg
required
Message
string
type
required
Error Type
string
input
Input
ctx
Context
object
Examplegenerated
{
"detail": [
{
"loc": [
"example"
],
"msg": "example",
"type": "example",
"input": "example",
"ctx": {}
}
]
}